Bug 1276469 - Azure orchestration stack provisioned through service does not have template association
Azure orchestration stack provisioned through service does not have template ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Bill Wei
Jeff Teehan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 15:08 EDT by Bill Wei
Modified: 2015-12-08 08:42 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:42:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Wei 2015-10-29 15:08:17 EDT
Description of problem:

Order an orchestration service provisioning for Azure. The resulting stack does not have an orchestration template associated with it.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Create an orchestration catalog item based on an Azure template
2. Order the service
3. After the service completed, go the Cloud/Orchestration Stack to find the new stack
4. The summary page of the stack does not have an orchestration template

Actual results:
It should show the orchestration template used to order the service

Expected results:


Additional info:
Comment 3 CFME Bot 2015-11-13 11:29:59 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/27b5a5db41cf374ca68458e15bb955e6a914828d

commit 27b5a5db41cf374ca68458e15bb955e6a914828d
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Fri Oct 30 14:45:40 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Oct 30 14:45:40 2015 -0400

    Load template from VMDB if it cannot be retrieved from the provider
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276469

 .../manageiq/providers/azure/cloud_manager/refresh_parser.rb  | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)
Comment 4 Bill Wei 2015-11-16 09:36:40 EST
Merged to 5.5.z
http://gitlab.cloudforms.lab.eng.rdu2.redhat.com/cloudforms/cfme/merge_requests/454

commit eb4d687c9a2319b0bfd7da13adbcae9772dc470c
Author: Bill Wei <bilwei@redhat.com>
Date:   Fri Oct 30 14:45:40 2015 -0400

    Load template from VMDB if it cannot be retrieved from the provider
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276469
Comment 5 CFME Bot 2015-11-16 16:18:33 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=eb4d687c9a2319b0bfd7da13adbcae9772dc470c

commit eb4d687c9a2319b0bfd7da13adbcae9772dc470c
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Fri Oct 30 14:45:40 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Nov 13 16:32:24 2015 -0500

    Load template from VMDB if it cannot be retrieved from the provider
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276469

 .../manageiq/providers/azure/cloud_manager/refresh_parser.rb  | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)
Comment 6 CFME Bot 2015-11-16 16:19:17 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=45eedc92eae99e6cf7c5853edc2630572df75120

commit 45eedc92eae99e6cf7c5853edc2630572df75120
Merge: 459c78f eb4d687
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Sun Nov 15 17:52:33 2015 -0500
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Sun Nov 15 17:52:33 2015 -0500

    Merge branch '5.5.z_azure_template_stack_link' into '5.5.z'
    
    Load template from VMDB if it cannot be retrieved from the provider
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276469
    
    Original PR: https://github.com/ManageIQ/manageiq/pull/5207
    
    See merge request !454

 .../manageiq/providers/azure/cloud_manager/refresh_parser.rb  | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)
Comment 7 Jeff Teehan 2015-11-20 15:00:19 EST
Verified that the Orchestration Template exists under properties using
5.5.0.11 with https://10.16.6.164/orchestration_stack/show/1119r9

You can view the result there.

Relationships
Cloud Provider	 Azure-westus
Orchestration Template	 Jeffs Azure Single Image
Instances	 0
Comment 9 errata-xmlrpc 2015-12-08 08:42:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.